Post by taltenweg » Sun Jan 21, 2018 7:46 pm

Hallo zusammen,
wir verwenden seit einigen Jahren die Version 1.5.4 und würden jetzt gerne auf eine Modernere Version umsteigen.
Ich habe es mit 3.0.2.0 und 3.0.1.2 versucht, bekomme aber keine von beiden ans laufen. Die reinen Frontends von Admin und Shop laufen nach einigen Anpassungen (GLOB_BRACE etc.). Ich kann aber zum Beispiel keine Extensions Installieren da die Liste der Extension Typen in der Administration / Extensions immer leer bleibt. Hatte von euch einer auch solche Probleme und hat sie gelöst?
Unser Hoster ist Strato aber ein Wechsel zu einem anderen ist keine Option.
Welche Version nach der 1.5.4 ist denn Stabil genug und vor allem Fehlerfrei genug um sie zu versuchen?

Liebe Grüße,
Thomas

Newbie

Posts

Joined
Fri Aug 10, 2012 1:35 am

Post by OSWorX » Sun Jan 21, 2018 8:42 pm

3.0.2.0 ist soweit stabil dass es ohne große Probleme funktioniert.

Strato selbst ist das Problem, damit haben unsere Kunden seit Jahren nur Probleme (und haben dann sehr gerne gewechselt).
Da aber anscheinend ein Wechsel von dort keine Option ist, wird euch nichts anderes übrig bleiben als das was durch Strato verursacht wird, zu lösen.
Alleine schon GROB_BRACE ist dort deaktiviert - u.a. der Hauptgrund warum Erweiterungen nicht installierbar sind.

Wenn ihr wirklich dort bleiben wollt, dann viel Vergnügen - es wird noch einige Arbeit auf euch zukommen.
Es gibt fast für alles eine Lösung, sie werden dort nur mühsamer ...
Ihr könnt mich gerne kontaktieren.

Image


User avatar
Expert Member
Online

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by taltenweg » Sun Jan 21, 2018 11:17 pm

Danke für die Antwort. Ich habe an unserem 1.5.4 Shop auch wirklich vieles selbst umgebaut und angepasst, ich scheue mich auch nicht davor PHP zu schreiben. Um die neue Version überhaupt installieren zu können musste ich allerdings schon am Scripting eingreifen, das schreckte mich ab, eine 0815 out of the box installation sollte fehlerfrei ablaufen. Ich habe jetzt Strato um eine Lösung gebeten, schaue mich aber vorsichtshalber mal nach einem anderen Hoster um. Ich halte den Post am Leben.

Newbie

Posts

Joined
Fri Aug 10, 2012 1:35 am

Post by taltenweg » Tue Jan 23, 2018 12:05 am

Das Upgrade ist, nach dem Wechsel des Hosters, wirklich kein Problem. Bis jetzt lassen sich alle Daten mit geringen Anpassungen migrieren.Ich versuche das gerade in der Sandbox. Ich glaube die Entscheidung den Hoster zu wechseln war eine gute. Spannend werden meine als VQmod umgesetzten Erweiterungen werden. Aber für den Moment ist alles viel besser als erwartet.

Newbie

Posts

Joined
Fri Aug 10, 2012 1:35 am

Post by OSWorX » Wed Jan 24, 2018 4:26 pm

Da wir auch spezielles OpenCart-Hosting betreiben, kann ich dir gerne ein Angebot machen.
Bei diesen Servern weiß ich dass OpenCart 100% funktioniert.
Und auf Wunsch wird die neueste Version bei Kontoerstellung automatisch mit Deutsch installiert.

Image


User avatar
Expert Member
Online

Posts

Joined
Mon Jan 11, 2010 10:52 pm
Location - Austria

Post by taltenweg » Fri Jan 26, 2018 4:14 pm

Danke für das nette Angebot, ich habe den Umzug schon beauftragt, sollte ich beim neuen Hoster wider erwartend auch Probleme bekommen komme ich gerne auf dein Angebot zurück.

Grüße,
Thomas

Newbie

Posts

Joined
Fri Aug 10, 2012 1:35 am
Who is online

Users browsing this forum: No registered users and 3 guests